Create account disbursements
- POST
/billing/v1/accounts/{accountId}/disbursements
The following fields are required when creating an account disbursement:
| Field | Description | Note |
address |
The address of the recipient, as a string | |
dueDate |
The date the outgoing payment is due to be created, as a datetime string | Cannot be in the past |
mailTo |
The name of the recipient, as a string | By default this is the same as the
payTo field, but can be different |
payTo |
The name of the payee, as a string | |
reason |
An entry in the Reason typelist (for
example, Cancellation or
PolicyChange) |
|
amount |
The amount of the disbursement, as a
monetaryAmount object |
Must not be greater than the amount in the account's default unapplied fund |
unappliedFund |
The unapplied fund from which to draw funds for the disbursement | Optional. Only available when Enhanced Funds Tracking is enabled. See the section below for details. |
unappliedFundSlices |
The unapplied fund slices in the given unapplied fund to be used in the disbursement | Optional. Only available when Enhanced Funds Tracking is enabled. See the section below for details. |
For example, the following request creates an account disbursement with the minimum required fields.
POST /billing/v1/accounts/bc:2918/disbursementsRequest
body{
"data": {
"attributes": {
"address": "995 N. Wildflower Way",
"dueDate": "2025-11-11",
"payTo": "Allrisk Agency",
"mailTo": "Allrisk Agency",
"reason": {
"code": "Overpay"
},
"amount": {
"amount": "50",
"currency": "usd"
}
}
}
}If the payment instrument is not specified, the producer’s default payment instrument is used.
If the request is successful, the request returns a payload containing information about the created disbursement.
Account disbursements when Enhanced Funds Tracking is enabled
When Enhanced Funds Tracking is enabled, you can specify an
unappliedFund and unappliedFundSlices to be
used in account disbursements. Both of these fields are optional, but if both an
unapplied fund and unapplied fund slices are specified, you must ensure that any
provided slices belong to the provided unapplied fund. If an unapplied fund or
unapplied fund slices are not specified, BillingCenter uses the default unapplied
fund, and it uses configurable logiuc to determine which unapplied fund slices to
draw from. This is explained in the Application Guide.
If the paymentInstrument field is set in the request, BillingCenter
uses that payment instrument for the disbursement. However, if this field is not
set, BillingCenter must use additional logic to determine which payment instrument
to use. This is because fund slices can have different payment instruments.
BillingCenter also has customizable logic to determine the proper payment instrument
for a disbursement. See the Application Guide for the base
configuration logic for selecting a payment instrument.
The following example demonstrates specifying two unapplied fund slices when making an account disbursement. The disbursement that is created must not be greater than the amount of both slices combined.
Command
POST /billing/v1/accounts/bc:2918/disbursements
Request body
{
"data": {
"attributes": {
"address": "995 N. Wildflower Way",
"dueDate": "2026-11-11",
"payTo": "Allrisk Agency",
"mailTo": "Allrisk Agency",
"reason": {
"code": "Overpay"
},
"amount": {
"amount": "4",
"currency": "usd"
},
"unappliedFund": {
"id": "bc:SNBfXJtnNdRzIg29cS090"
},
"unappliedFundSlices": [
{
"id": "bc:SRJ5OwtOKG5ejeiEY6amN"
},
{
"id": "bc:S93cTMzIT9gWLw48sgotx"
}
]
}
}
}
To get information about the funds slices that were used up in a disbursement, see Get Enhanced Funds Tracking data for disbursements.